### Class

# Shell AppUsage

since: 14

#### Description

    final class Shell.AppUsage : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 14

#### Ancestors

- GObject

#### Functions

###### shell_app_usage_get_default

No description available.

since: 14

#### Instance methods

###### shell_app_usage_compare

Compare `id_a` and `id_b` based on frequency of use.

since: 14

###### shell_app_usage_get_most_used

No description available.

since: 14

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct ShellAppUsageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.